Re: libgtk3deprecated (Re: About GTK+ 3.0 and deprecated things)

On Jul 17, 2008, at 2:18 PM, Tim Janik wrote:

On Thu, 17 Jul 2008, Martin Meyer wrote:

3) How long / how much effort would it be do to this? Is it something
that has to be done by experienced GTK hackers or can it be handled as
a side project?

I think any moderately experienced developer could tackle this (e.g.
someone who has implemented his own widget at some point).

A closing word on the library name, since this'd be an ABI break,
such a library only makes sense for Gtk+-3.0 (or 2.99.0) and should
probably advertise that it ships deprecated Gtk+ stuff. So the best
name is probably libgtk3deprecated for this (there could possibly
be a libgtk4deprecated as well at some point).

Seconded. And there's a precedent, too -- Gtk2::Deprecated for gtk2- perl, which contains the widgets that were already deprecated as of gtk +-2.0.0.

The maintenance effort here has been effectively nil -- maybe six or eight hours over four years. A fair portion of that has been answering help request emails with "this stuff is old and busted, port to the new hotness." +page:1+mid:olfclnxggu3piy2e+state:results

The stereo, playing the Beastie Boys' "Rhymin' and Stealin'": "I'll steal your girlie like I stole your bike!"

Elysse:  "You mean, take off the chain and ride away?"

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]